\section{Saying No}
How do you say No to your boss? Are you even allowed to do that, since he is your boss! - Yes, because you are a professional!

\subsection{Adversarial Roles}
Some of the reviewers of the book nearly stopped reading in this chapter because they heavily disagreed with the author. But his experience has shown that hard decisions are best made through the confrontation of adversarial roles. 

An example would be a manager and a program who are arguing over the dead line of a software feature. The manager will give you a deadline as soon as possible because it's this job to deliver the product to the customer as soon as possible. The programmer on the other hand must say no if he thinks the deadline is too early. If you are requested to implement the feature until tomorrow and you just say "i will try" you are not doing your job! Your answer should be "No, that's impossible". But is saying no not something we want to avoid? No - that's how the two of you will get the best outcome possible for the customer.

Give the manager a clear estimate and also a very clear answer how long it will take "No, for this feature we will ned two weeks". Maybe give the manager other options as for example using a mock up for a design presentation but assure that the feature wont be release in a fuzzy way.

\paragraph{What about the Why?} Don't i also have to give the reason to the manager why it takes the team two weeks for a feature - No not really. Just image you give more details about the plan to implement the feature, the manager will tell you what to shorten - for example testing and this is not what you want. Only reveal as much information as the manager needs. Revealing too much information can lead to micro management. 

\subsection{High Stakes}
The higher the stakes are for a software project of a software feature, i will even be more important to give the manager the right information and this is the true estimate you have for a software with the right quality. Just image the nightmare when your golden feature finished in time but the customer can really use it. 

\subsection{Being a Team Player}
To be a team player means to play your position in the team as well as you can. Concretely this means you help your teammates when they need too, communicate frequently, and keep an eye on the teammates and you responsibilities.

\paragraph{Trying} The worst answer you can give to a question is that you will try to satisfy the requirement given to you. Trying is a promise to the questioner that you have some extra resource you can mobilise. And if you try something and you don't succeed, you will have failed. You could also try to levitate, or change into a gold statue, so never try to achieve release goals, always verify and communicate your expectations.

\subsection{The Cost of saying Yes}
Make always sure that you understand to what you say yes. And in some cases this yes will turn into a no, because only if you understand to what you commit to you will be able to calculate the right answer to the request. The client will always extend the deadline, and always request more features. So make sure to what you say yes, it may come with an arbitrary cost. 

\subsection{Code Impossible}
Why do we accept challenges and even then when we mostly know, that the customer will change and extend the requirements. Because every programmers tends to have an affection to be a hero - save the project, save the customer. But you only are a professional hero when you say no to projects or decision which you know will either no be possible or only be possible with hard compromises. Say no to compromises and say yes to being a hero!